Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class FilePath

    java.lang.Object
      |
      +--com.caucho.vfs.Path
            |
            +--com.caucho.vfs.FilesystemPath
                  |
                  +--com.caucho.vfs.FilePath

public class FilePath
extends FilesystemPath

FilePath implements the native filesystem.

Fields inherited from class com.caucho.vfs.FilesystemPath
`bindRoot, pathname, root, separatorChar, userPath`

Fields inherited from class com.caucho.vfs.Path
`L, schemeMap`

Constructor Summary
`protected` | `FilePath(FilesystemPath root, java.lang.String userPath, java.lang.String path)`

Method Summary
`boolean` | `canRead()` Tests if the file can be read.
`boolean` | `canWrite()` Tests if the file can be written.
`boolean` | `equals(java.lang.Object b)`
`boolean` | `exists()` Tests if the file exists.
`protected Path` | `fsWalk(java.lang.String userPath, java.util.Map attributes, java.lang.String path)` Lookup the actual path relative to the filesystem root.
`long` | `getLastModified()` Returns the last modified time of the file.
`long` | `getLength()` Returns the length of the file in bytes.
`java.lang.String` | `getNativePath()` Returns the native path.
`java.lang.String` | `getScheme()` Returns the url scheme
`int` | `hashCode()`
`boolean` | `isDirectory()` Tests if the path refers to a directory.
`boolean` | `isFile()` Tests if the path refers to a file.
`java.lang.String[]` | `list()` Returns a list of files in the directory.
`boolean` | `mkdir()` Creates the directory named by this path.
`boolean` | `mkdirs()` Creates the directory named by this path and any parent directories.
`StreamImpl` | `openAppendImpl()`
`StreamImpl` | `openReadImpl()` Returns the stream implementation for a read stream.
`StreamImpl` | `openReadWriteImpl()`
`StreamImpl` | `openWriteImpl()`
`boolean` | `remove()` Removes the file or directory named by this path.
`boolean` | `renameTo(Path path)` Renames the file or directory to the name given by the path.
`protected Path` | `schemeWalk(java.lang.String userPath, java.util.Map attributes, java.lang.String filePath, int offset)` Lookup the path, handling windows weirdness
`void` | `setLastModified(long time)`

Methods inherited from class com.caucho.vfs.FilesystemPath
`bind, copy, createRoot, getFullPath, getParent, getPath, getTail, getURL, getUserPath, normalizePath, normalizePath, setUserPath, toString`

Methods inherited from class com.caucho.vfs.Path
`createNewFile, createRoot, createTempFile, getAttribute, getAttributeNames, getContentType, getHost, getObject, getPort, getQuery, getResources, getResources, getValue, isObject, iterator, lookup, lookup, lookupNative, lookupNative, openAppend, openRead, openReadWrite, openReadWrite, openWrite, removeAttribute, renameTo, scanScheme, setAttribute, setObject, setValue, unbind, writeToStream`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilePath

    protected FilePath(FilesystemPath root,
                       java.lang.String userPath,
                       java.lang.String path)

  Parameters:
    `path` - canonical path

Method Detail

### schemeWalk

    protected Path schemeWalk(java.lang.String userPath,
                              java.util.Map attributes,
                              java.lang.String filePath,
                              int offset)

  Lookup the path, handling windows weirdness
  Overrides:
    `schemeWalk` in class `FilesystemPath`
  Following copied from class: `com.caucho.vfs.FilesystemPath`
  Parameters:
    `userPath` - the user's lookup() path
    `attributes` - the user's attributes
    `filePath` - the actual lookup() path
    `offset` - offset into filePath

### fsWalk

    protected Path fsWalk(java.lang.String userPath,
                          java.util.Map attributes,
                          java.lang.String path)

  Lookup the actual path relative to the filesystem root.
  Overrides:
    `fsWalk` in class `FilesystemPath`
  Parameters:
    `userPath` - the user's path to lookup()
    `attributes` - the user's attributes to lookup()
    `path` - the normalized path
  Returns:
    the selected path

### getScheme

    public java.lang.String getScheme()

  Description copied from class: `Path`
  Returns the url scheme
  Overrides:
    `getScheme` in class `Path`

### getNativePath

    public java.lang.String getNativePath()

  Returns the native path.
  Overrides:
    `getNativePath` in class `Path`

### exists

    public boolean exists()

  Description copied from class: `Path`
  Tests if the file exists.
  Overrides:
    `exists` in class `Path`

### isDirectory

    public boolean isDirectory()

  Description copied from class: `Path`
  Tests if the path refers to a directory.
  Overrides:
    `isDirectory` in class `Path`

### isFile

    public boolean isFile()

  Description copied from class: `Path`
  Tests if the path refers to a file.
  Overrides:
    `isFile` in class `Path`

### getLength

    public long getLength()

  Description copied from class: `Path`
  Returns the length of the file in bytes.
  Overrides:
    `getLength` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    0 for non-files

### getLastModified

    public long getLastModified()

  Description copied from class: `Path`
  Returns the last modified time of the file. According to the jdk, this may not correspond to the system time.
  Overrides:
    `getLastModified` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    0 for non-files.

### setLastModified

    public void setLastModified(long time)

  Overrides:
    `setLastModified` in class `Path`

### canRead

    public boolean canRead()

  Description copied from class: `Path`
  Tests if the file can be read.
  Overrides:
    `canRead` in class `Path`

### canWrite

    public boolean canWrite()

  Description copied from class: `Path`
  Tests if the file can be written.
  Overrides:
    `canWrite` in class `Path`

### list

    public java.lang.String[] list()
                            throws java.io.IOException

  Returns a list of files in the directory.
  Overrides:
    `list` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    The contents of this directory or null if the path does not refer to a directory.

### mkdir

    public boolean mkdir()
                  throws java.io.IOException

  Description copied from class: `Path`
  Creates the directory named by this path.
  Overrides:
    `mkdir` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    true if successful.

### mkdirs

    public boolean mkdirs()
                   throws java.io.IOException

  Description copied from class: `Path`
  Creates the directory named by this path and any parent directories.
  Overrides:
    `mkdirs` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    true if successful.

### remove

    public boolean remove()

  Description copied from class: `Path`
  Removes the file or directory named by this path.
  Overrides:
    `remove` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    true if successful.

### renameTo

    public boolean renameTo(Path path)

  Description copied from class: `Path`
  Renames the file or directory to the name given by the path.
  Overrides:
    `renameTo` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    true if successful

### openReadImpl

    public StreamImpl openReadImpl()
                            throws java.io.IOException

  Returns the stream implementation for a read stream.
  Overrides:
    `openReadImpl` in class `Path`

### openWriteImpl

    public StreamImpl openWriteImpl()
                             throws java.io.IOException

  Overrides:
    `openWriteImpl` in class `Path`

### openAppendImpl

    public StreamImpl openAppendImpl()
                              throws java.io.IOException

  Overrides:
    `openAppendImpl` in class `Path`

### openReadWriteImpl

    public StreamImpl openReadWriteImpl()
                                 throws java.io.IOException

  Overrides:
    `openReadWriteImpl` in class `Path`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FilesystemPath`

### equals

    public boolean equals(java.lang.Object b)

  Overrides:
    `equals` in class `FilesystemPath`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD